# $Revision: 1.37 $, $Date: 2005/12/24 19:51:26 $
#
# Conditional build:
%bcond_without	svga		# without SVGAlib support
#
Summary:	DVI files viewer
Summary(pl):	Przegldarka plikw DVI
Name:		tmview
Version:	0103
Release:	11
License:	distributable
Group:		Applications/Publishing
Source0:	ftp://ftp.gust.org.pl/TeX/dviware/tmview/tmv%{version}.tgz
# Source0-md5:	c1d43526a3bc32a684017ffd9f8040be
Source1:	%{name}.conf
Patch0:		%{name}-rc.patch
Patch1:		%{name}-paths_libs.patch
Patch2:		%{name}-Makefile.patch
Patch3:		%{name}-resolution.patch
Patch4:		%{name}-gcc3.patch
Patch5:		%{name}-home_etc.patch
BuildRequires:	XFree86-devel
BuildRequires:	kpathsea-devel
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DVI previewer for SVGAlib, framebuffer device or Xlib. Fast, offers
xdvi-like anti-aliasing, text-string searching, arbitrary-zooming,
bookmarks, some of the hypertex features, renders eps-figures by
running gs. tmview does not support pxl-files. tmview ignores all
'special'-commands and has no font-replacing mechanism.

This package contains only documentation and manuals. For software
look into dvifb, dvisvga and dvilx packages.

%description -l cs
tmview je celo-obrazovkov prohle .dvi soubor vyrobench systmem
TeX. Mete si vsledn dokument prohldnout jet pedtm, ne ho
nechte vytisknout, nebo ho nkomu polete. Podporuje prohlen v
erno-blm provedenen nebo v odstnech edi. Mete si dokument
libovoln zvtit (a zaplatte za to jenom lehkm snenm rychlosti).
Mete si nastavit zarky pro men vzdlenost nebo mete
vyhledvat v textu. Mete si prohldnout nkolik soubor, nastavit si
zloky a nechat si je uloit do startovacho souboru. tmview
nepodporuje PXL soubory, ignoruje vechny speciln (special) pkazy
a nepodporuje nahrazovn font.

%description -l pl
Przegldarka plikw DVI. Podgldane pliki mog by wywietlane za
pomoc SVGAlib, na framebuferze lub po prostu w X-ach. Program jest
szybki, umoliwia anty-aliasing w stylu xdvi, wyszukiwanie tekstw,
powikszanie, zakadki, niektre z waciwoci hipertekstowych oraz
wywietlanie plikw EPS (za pomoc GhostScript-a). tmview nie wspiera
plikw pxl. Ignoruje wszystkie komendy 'special' i nie ma mechanizmu
zastpowania fontw.

Ten pakiet zawiera tylko dokumentacj i manuale. Oprogramowanie
znajduje si w pakietach dvifb, dvisvga oraz dvilx.

%package -n dvifb
Summary:	DVI files viewer - framebuffer version
Summary(pl):	Przegldarka plikw DVI - wersja pod framebuffer
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description -n dvifb
DVI files viewer - framebuffer version

%description -n dvifb -l pl
Przegldarka plikw DVI - wersja pod framebuffer

%package -n dvisvga
Summary:	DVI files viewer - SVGAlib version
Summary(cs):	Prohle soubor DVI pro knihovnu SVGAlib
Summary(pl):	Przegldarka plikw DVI - wersja dla SVGAlib
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description -n dvisvga
DVI files viewer - SVGAlib version.

%description -n dvisvga -l pl
Przegldarka plikw DVI - wersja dla SVGAlib.

%package -n dvix11
Summary:	DVI files viewer - X11 version
Summary(pl):	Przegldarka plikw DVI - wersja dla X Window System
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description -n dvix11
DVI files viewer - X11 version.

%description -n dvix11 -l pl
Przegldarka plikw DVI - wersja dla X Window System.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__make} -f MakeFb \
	CFLAGS="%{rpmcflags} -DHAVE_PROTOTYPES"

%{__make} -f MakeLX \
	CFLAGS="%{rpmcflags} -DHAVE_PROTOTYPES" \
	LIBS="-L/usr/X11R6/%{_lib} -lX11 -lkpathsea -lm"

%if %{with svga}
%{__make} -f MakeSVGA \
	CFLAGS="%{rpmcflags} -DHAVE_PROTOTYPES"
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}

install doc/%{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

install dvifb.linux $RPM_BUILD_ROOT%{_bindir}/dvifb
echo .so %{name}.1 > $RPM_BUILD_ROOT%{_mandir}/man1/dvifb.1

install dvilx.linux $RPM_BUILD_ROOT%{_bindir}/dvilx
echo .so %{name}.1 > $RPM_BUILD_ROOT%{_mandir}/man1/dvilx.1

%if %{with svga}
install dvisvga.linux $RPM_BUILD_ROOT%{_bindir}/dvisvga
echo .so %{name}.1 > $RPM_BUILD_ROOT%{_mandir}/man1/dvisvga.1
%endif

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/tmviewrc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/tmview.dvi doc/tm.ps README
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%{_mandir}/man1/%{name}*

%files -n dvifb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dvifb
%{_mandir}/man1/dvifb*

%if %{with svga}
%files -n dvisvga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dvisvga
%{_mandir}/man1/dvisvga*
%endif

%files -n dvix11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dvilx
%{_mandir}/man1/dvilx*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tmview.spec,v $
Revision 1.37  2005/12/24 19:51:26  undefine
- rel 11 to rebuild with new kpathsea

Revision 1.36  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.35  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.34  2004/04/08 18:56:59  qboosh
- fixed build on amd64, strict internal deps; release 10

Revision 1.33  2004/02/16 00:03:05  eothane
- bcond style, changelog cleanups

Revision 1.32  2003/11/09 06:53:20  witekfl
- added home_etc.patch
- Release 9

Revision 1.31  2003/09/20 22:38:50  ankry
- fixed bogus cchangelog

Revision 1.30  2003/09/20 22:37:53  ankry
- fix by Witold Filipczyk

Revision 1.29  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.28  2003/05/28 13:02:17  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:27:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/02/18 10:19:01  wrobell
- rel. 7

Revision 1.25  2003/02/17 19:15:39  qboosh
- missing dir, killed x11bindir

Revision 1.24  2002/10/19 14:38:09  wrobell
- it is possilbe to build without svga package with svga conditional, now

Revision 1.23  2002/08/18 12:25:47  blues
- release 6 - license fix

Revision 1.22  2002/06/19 08:43:45  kloczek
- use new %doc.

Revision 1.21  2002/04/30 21:32:43  qboosh
- svgalib is ix86 and alpha only

Revision 1.20  2002/04/25 12:45:49  marcus
- one fix

Revision 1.19  2002/04/25 12:43:39  marcus
- svgalib subpackage isn't for ppc too
- rel. 5.

Revision 1.18  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/07 23:31:39  qrczak
- tmview-resolution.patch: virtual resolution can be differemt from
  visible resolution (patch from Thomas Moor).
- Release 4.

Revision 1.16  2002/01/18 02:15:12  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/11/11 16:36:16  qboosh
- merged part of en,pl descriptions, whole cs description
  and dvisvga cs summary from spec rev. 1.2
- removed ".gz" from .so groff commands
- release 3

Revision 1.14  2001/11/11 12:55:04  wrobell
- kpathsea library support works for framebuffer viewer (paths_libs patch
  updated)
- rel. 2, stb.

Revision 1.13  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.12  2001/11/09 17:30:26  wrobell
- apply patches from spec ver. 1.2 (paths_libs and Makefile)
- stb!

Revision 1.11  2001/11/09 17:03:27  wrobell
- more merging with spec ver. 1.2

Revision 1.10  2001/11/09 16:56:16  wrobell
- sorry, I have not realized that there is tmview.spec and created
  a new one; so merge 1.2 with 1.9 -> it implies tmview 0103
- nfy

Revision 1.9  2001/11/08 18:59:15  kloczek
- exclude svgalib-devel in BuildRequires list on sparc*.

Revision 1.8  2001/11/08 18:58:23  kloczek
- changed License to Distributable,
- exclude building svga version on sparc*,
- changed subpackage name dvilx to dvix11,
- more macros and cosmetics.

Revision 1.7  2001/11/08 10:54:26  wrobell
- x11mandir is not a good idea
- stb

Revision 1.6  2001/11/08 10:44:50  wrobell
- system wide configuration file reading patch added
- system wide configuration file added
- manuals for dvi* added
- X11 mandir path added

Revision 1.5  2001/11/08 09:23:30  wrobell
- fixed permissions for dvilx

Revision 1.4  2001/11/08 09:16:03  wrobell
- fixed requires (ugly typo)

Revision 1.3  2001/11/08 09:13:08  wrobell
- based on template
- console dvi previewer

Revision 1.2  2001/05/05 16:15:12  kloczek
- change perm on man pages to %defattr(),
- added Makefiles patch and make spec %%{debug} ready),
- added gzipping %doc,
- use roff include instead symlinks on man pages,
- some cosmetics and simplifications.

Revision 1.1  2001/05/05 09:56:21  bonkey
- adapterized
- updated from 9906 to 0103
- paths_libs patch adjusted and renamed

* Tue Nov 23 1999 Michal Svec <rebel@penguin.cz>
- update to version 9906
- added czech description
